@echo off

rem ==============================================================
echo Batch-Datei zum Erzeugen der BIC-Systemdateien
echo VP 28.04.2014
rem basiert auf den UDOS-Kommandodateien der orig. Disketten
rem die Quellcodes wurden an CP/M und an den Z80ASM angepasst
rem M80 reicht nicht, da er keine verschachtelten INLUDEs kennt
echo ==============================================================

rem Startpunkt ist BIC.KF



echo ==============================================================
echo  Uebersetzen ROM-BIOS	BICSYS
echo ==============================================================

copy /y K4.Z80 KONF.Z80
cpm Z80ASM BICSYS/RFPS


echo ==============================================================
echo  Uebersetzen R-BASIC	BIC1
echo ==============================================================

cpm Z80ASM BIC1/RFPS

echo ==============================================================
echo  Uebersetzen Disketten-Software	DSE
echo ==============================================================

cpm Z80ASM DSE1/RFPS
cpm Z80ASM DSE2/RFPS

echo ==============================================================
echo  Uebersetzen SCP-ROM 	SCPROM
echo ==============================================================

cpm Z80ASM SCPROM1/RFPS
cpm Z80ASM SCPROM2/RFPS



rem BIC.LKF
echo ==============================================================
echo Binden BIC-Software 
echo ==============================================================

cpm Z80ASM SYMRAM/RFPS
cpm SLRNK SYMRAM,SYMRAM/N/E 

rem Hack: Generieren einer REL-Datei , die nur die Globals enthlt (Gxxx.REL)
rem der UDOS-Linker kann nur Symbole linken. Das knnen die CP/M-Linker leider nicht

d:\perl\bin\perl scan_rel.pl bic1.rel dse1.rel dse2.rel scprom1.rel scprom2.rel bicsys.rel

cpm SLRNK BICSYS/A:0000,BIC1,GDSE1,GDSE2,GSCPROM1,GSCPROM2,BICMC/N/E

cpm SLRNK DSE1/A:0000,DSE2,SCPROM2,GBICSYS,GBIC1,GSCPROM1,DSEMC/N/E

cpm SLRNK SCPROM1/A:8000,GBICSYS,GDSE1,GDSE2,GSCPROM2,SCPROM/N/E

echo ==============================================================
echo weitere
echo ==============================================================

echo TREIKC87

cpm Z80ASM TREIKC87/RFPS
cpm SLRNK TREIKC87/A:4000,GBIC1,TREIKC87/N/E

echo PLOTTER.LKF

cpm Z80ASM PLOTTER/RFPS
cpm SLRNK PLOTTER/A:BFF9,GBIC1,PLOTTER/N/E

echo ==============================================================
echo #### FERTIG ####
echo ==============================================================

echo Ergebnis: 
echo	dsemc.cim, bicmc.cim, plotter.cim, scprom.cim stimmen berein (bis auf freie Stellen)

bdiff bicmc.cim ..\roms\bic_N021.bin
bdiff scprom.cim ..\roms\bic_N120.bin
rem copy /b dse3_46.bin+dse2_47.bin dse32.bin
bdiff dsemc.cim ..\roms\dse32.bin


